Bug 970405 - Review Request: mingw-speex - A voice compression format (codec)
Review Request: mingw-speex - A voice compression format (codec)
Status: CLOSED DUPLICATE of bug 1062291
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 970408
  Show dependency treegraph
 
Reported: 2013-06-03 20:45 EDT by Steve
Modified: 2015-07-21 08:30 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-06 10:26:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve 2013-06-03 20:45:40 EDT
Spec URL: https://www.box.com/s/cgjsx9uum2eilssv0fm8
SRPM URL: https://www.box.com/s/vjfmdof5tdbbe66lb3xq
Description: Speex is a patent-free compression format designed especially for speech. It is specialized for voice communications at low bit-rates in the 2-45 kbps range. Possible applications include Voice over IP  (VoIP), Internet audio streaming, audio books, and archiving of speech data (e.g. voice mail).
This is the MinGW version of a package that Fedora already has in its repository.
Fedora Account System Username: ulatekh
Comment 1 Veaceslav Mindru 2013-07-30 04:01:46 EDT
Hello Steve,

same sorry here.  Remove rm buildroot in %install section and remove %clean section. 

>%install
>rm -rf $RPM_BUILD_ROOT


>%clean
>rm -rf $RPM_BUILD_ROOT



http://fedoraproject.org/wiki/How_to_create_an_RPM_package#.25install_section
http://fedoraproject.org/wiki/Packaging:Guidelines#.25clean
Comment 2 František Dvořák 2014-01-26 15:24:11 EST
Steve, do you plan to continue on the work on mingw-speex? It looks like there is no response more than one month and this review can be closed as dead review (http://fedoraproject.org/wiki/Policy_for_stalled_package_reviews).


Found issues: (no problem is critical, but 1) and 4) is checked by rpmlint)

1) as mentioned by Veaceslav: Group, %clean, %defattr and 'rm -f' in %install are not needed

2) manual.pdf and manual pages are not needed (already in the native package), NEWS and TODO could be removed too

3) dependencies:
 - BuildRequire: is MinGW gcc-c++ needed? binutils can be removed ("inherited" by gcc)
 - Requires: pkgconfig not needed - it is used only on base package, on real mingw32/64 subpackages there should be mingw32/64 version of pkgconfig anyway and it is autogenerated

4) cosmetic: mixed spaces and tabs

5) descriptions could be reformatted/unified

6) cosmetic: combining %exclude (for .la) and 'rm -f' (for manual.pdf)
Comment 3 František Dvořák 2014-02-06 10:26:49 EST

*** This bug has been marked as a duplicate of bug 1062291 ***

Note You need to log in before you can comment on or make changes to this bug.